import styled from 'styled-components'
import { Row } from '../Flex'


export const StyledRow = styled(Row)`
  pointer-events: all;
  height: 100px;
  background-color: ${({ theme }) => theme.background};
  color: ${({ theme }) => theme.foreground};
  position: absolute;
  left: ${({ miniHeader }) => miniHeader ? 'initial' : '0'};
  top: 0;
  right: 0;
  z-index: 1;

  img {
    max-height: 80px;
    mix-blend-mode: exclusion;
    padding: 1em;
  }

  a:hover {
    opacity: 0.5;
  }
`
export const RightBox = styled(Row)`
  a {
    margin-right: 4em;
  }
`